Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.java
Class JavaBaseModel

    java.lang.Object
      biouml.plugins.simulation.java.JavaBaseModel

All Implemented Interfaces:
  AeModel, Model, OdeModel

public abstract class JavaBaseModel
extends java.lang.Object
implements OdeModel, AeModel

Created by IntelliJ IDEA. User: bober Date: 08.01.2005 Time: 13:43:40 To change this template use Options | File Templates.

Field Summary
`protected double[]` | `initialValues`
`protected java.util.Vector` | `simulationResultTimes`
`protected java.util.Vector` | `simulationResultValues`

Constructor Summary
`JavaBaseModel()`

Method Summary
`void` | `add(double t, double[] y)`
`double[]` | `checkEvent(double t, double[] x)`
`void` | `clear()`
`protected double` | `delay(int iValue, double time)`
`protected double[]` | `doExtend(double time, double[] x)`
`double[]` | `dy_dt(double time, double[] x)`
`int` | `getNextTransition()`
`double[]` | `getResults(double time)`
`double[]` | `getTimes()`
`double` | `nextTransitionExecution(double tStart, double tEnd, double time, double[] x)`
`void` | `processEvent(int i, double t, double[] x)`
`void` | `processTransitionAfter(double time, double[] x, int nTransition)`
`double[]` | `solveAlgebraic(double time, double[] z)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface biouml.plugins.simulation.ode.OdeModel
`Init`

Methods inherited from interface biouml.plugins.simulation.Model
`getInitialValues`

Field Detail

### initialValues

    protected double[] initialValues

### simulationResultValues

    protected java.util.Vector simulationResultValues

### simulationResultTimes

    protected java.util.Vector simulationResultTimes

Constructor Detail

### JavaBaseModel

    public JavaBaseModel()

Method Detail

### nextTransitionExecution

    public double nextTransitionExecution(double tStart,
                                          double tEnd,
                                          double time,
                                          double[] x)

  Specified by:
    `nextTransitionExecution` in interface `OdeModel`

### processTransitionAfter

    public void processTransitionAfter(double time,
                                       double[] x,
                                       int nTransition)

  Specified by:
    `processTransitionAfter` in interface `OdeModel`

### getNextTransition

    public int getNextTransition()

  Specified by:
    `getNextTransition` in interface `OdeModel`

### dy_dt

    public double[] dy_dt(double time,
                          double[] x)

  Specified by:
    `dy_dt` in interface `OdeModel`

### solveAlgebraic

    public double[] solveAlgebraic(double time,
                                   double[] z)

  Specified by:
    `solveAlgebraic` in interface `AeModel`

### checkEvent

    public double[] checkEvent(double t,
                               double[] x)

  Specified by:
    `checkEvent` in interface `OdeModel`

### processEvent

    public void processEvent(int i,
                             double t,
                             double[] x)

  Specified by:
    `processEvent` in interface `OdeModel`

### doExtend

    protected double[] doExtend(double time,
                                double[] x)

### add

    public void add(double t,
                    double[] y)

### clear

    public void clear()

### getTimes

    public double[] getTimes()

### getResults

    public double[] getResults(double time)

### delay

    protected double delay(int iValue,
                           double time)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.